<?php 
namespace WOO_PRODUCT_TABLE_PRO\Inc\Features;

use WOO_PRODUCT_TABLE\Inc\Shortcode;
use WOO_PRODUCT_TABLE\Inc\Shortcode_Base;
use WOO_PRODUCT_TABLE_PRO\Core\Base;

/**
 * Advance Search a Special Feature, When
 * User able to search product based on Product Price, custom field etc.
 * 
 * This was in old version also
 * 
 * @since 8.1.2.0
 * @author Saiful Islam <codersaiful@gmail.com>
 * @package Woo Product Table
 * 
 * @return void
 */
class Advance_Search extends Shortcode{
    
    public function run(){
        return;
        if( ! defined('DOING_AJAX') ) return;
        // var_dump($this->shortcode_base->base_config);
        // $this->filter('wpt_query_args',1,10,'sort_by_manipulation');
        // $this->filter('wpt_query_args',2,10,'on_sale_manipulation');

        // $this->action('wpt_load');


        global $wpdb;
        // var_dump($wp_query->query_vars);
        add_filter('posts_join', [$this, 'search_join'], 10, 2 );
        add_filter( 'posts_where', [$this, 'search_where'],10 ,2 );
        add_filter( 'posts_distinct', [$this, 'search_distinct'] );
    }

    public function search_join( $join,$wp_query ){
        global $wpdb;


        // $s_key = $wp_query->query_vars['s'] ?? false;
        // var_dump($s_key);
        // var_dump($join);
        
        // $validation = $wp_query->get( 'wpt_query_type' );
        // var_dump($wp_query);

        $join .=' LEFT JOIN '.$wpdb->postmeta. ' AS wpt_table ON '. $wpdb->posts . '.ID = wpt_table.post_id ';
        return $join;
    }
    
    public function search_where( $where, $wp_query ){
        global $pagenow, $wpdb;
        // var_dump(DOING_AJAX,$wp_query->get( 'wpt_query_type' ));

        // var_dump($wp_query->get( 'table_ID' ));
        $myPreg = "(".$wpdb->posts.".post_title LIKE $1) OR (wpt_table.meta_value LIKE $1" . ")";
        $where = preg_replace("/\(\s*".$wpdb->posts.".post_title\s+LIKE\s*(\'[^\']+\')\s*\)/",$myPreg, $where );
        return $where;
    }
    
    public function search_distinct( $where ){
        return "DISTINCT";
    }
    
    public function wpt_load( Shortcode $shortcode ){
        // var_dump($shortcode);
    }
    

}    