<?php 
if ( $product->get_type() == 'variation' ) {
    $default_label = $column_array[$keyword] ?? '';
    $settings = isset( $column_settings[$keyword] ) ? $column_settings[$keyword] : false;
    $variation_name = !empty($settings['variation_name']) ? $settings['variation_name'] : $default_label;
    $variation_name = strtolower( $variation_name );

    $variation = wc_get_product( $id );
    $variation_str = $variation->get_attribute_summary();
    $variation_str = strtolower( $variation_str );
    $variation_str_ex = explode(', ',$variation_str);
    $final_string = '';
    foreach( $variation_str_ex as $str_ex ){
        
        if( str_contains($str_ex,$variation_name) ){
            $final_string = str_replace($variation_name . ": ",'', $str_ex);
            continue;
        }
    }
    echo esc_html( ucwords( $final_string ) );
}else if ( $product->get_type() == 'variable' ) {

    foreach ( $product->get_available_variations() as $key ) {
        $attr_strings = array();
        foreach ( $key['attributes'] as $attr_name => $attr_value ) {
            $attr_strings[] = $attr_value;
        }

        $attr_string = implode( ', ', $attr_strings );
        echo '<br/>' . ucfirst ($attr_string );
    }
}else{
    $_variable = new WC_Product_Variable( $id );
    $_wpt_attributes = $_variable->get_attributes();
    echo wpt_additions_data_attribute( $_wpt_attributes );
}