<?php
/**
 * //Some Available Variation over there:
 * $keyword,
 * $table_ID,
 * $settings,
 * $column_settings,
 * $product
 * $id (here id is product id)
 */

//Such: an example
$ID = $table_ID;
$product_id = $id;
$_device_name = wpt_detect_current_device();
$enabled_column_array = get_post_meta( $ID, 'enabled_column_array' . $_device, true );
$col_count = is_array($enabled_column_array) ? count( $enabled_column_array ) : 0;
$toggle_open_text = isset( $settings['open_text'] ) ? $settings['open_text'] : '';
$toggle_close_text = isset( $settings['close_text'] ) ? $settings['close_text'] : '';
?>
<button 
data-product_id="<?php echo esc_attr($id);?>" 
id="show-btn-product_id_<?php echo esc_attr($id);?>" 
class="show-more-button button" 
data-col_count="<?php echo esc_attr( $col_count ); ?>"
data-open_text="<?php echo esc_html($toggle_open_text);?>" 
data-close_text="<?php echo esc_html($toggle_close_text);?>">
    <?php echo esc_html( $toggle_open_text );?>
</button>