<?php
$license = \WOO_PRODUCT_TABLE_PRO\Admin\License\License::instance();

?>

<div class="license-module-parent">
    <div class="settings-section">
        <div class="license-parent">
            <?php 
            $message = isset( $_GET['barta'] ) & ! empty( $_GET['barta'] ) ? $_GET['barta'] : false;
            $message_type = isset( $_GET['type'] ) & ! empty( $_GET['type'] ) ? $_GET['type'] : 'warning';
            if( ! empty( $message ) ){?>
                <div id="codeastrology-license-message-area" class="notice notice-<?php echo esc_attr( $message_type ); ?>">
                    <p><?php echo wp_kses_post( $message ); ?></p>
                </div>
                
                <?php } ?>
            <div class="container">

            </div>
            <?php

            if( $license->status() !== 'valid' ){
                ?>
                <div class="container">
                    <form action="" method="POST" class="admin-form" id="admin-license-form">
                        <div class="tab_wraper">
                            <div class="admin-card attr-tab-content admin-card-shadow">
                                <div class="attr-card-body">
                                    <p class="wpt-license-heading">
                                        <?php echo esc_html__("Enter your license key here [Woo Product Table].", "wpt_pro");?>
                                    </p>
                                    <div><label class="admin-option-text-license-key" for="admin-option-text-license-key" ><?php echo esc_html__(" License Key", "wpt_pro");?></label></div>
                                    <div class="admin-input-text  license-input-box">
                                        <input type="text" class="attr-form-control" id="admin-option-text-license-key" aria-describedby="admin-option-text-help-license-key" placeholder="Please insert your license key here" name="wpt_pro_pro_license_key" value="" >
                                    </div>
                                    <div class="attr-input-group-btn license-input-box">
                                        <input type="hidden" name="type" value="activate" />
                                        <button class="btn-license-activate attr-btn-primary admin-license-form-submit" type="submit" > <?php echo esc_html__("Activate", "wpt_pro");?></button>
                                    </div>
                                    <div class="license-result-box">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <?php
            } else {
                ?>
                <div class="license-form-result">
                    <p class="attr-alert attr-alert-success">
                        <?php 
                        echo esc_html__("Congratulations! Your product is activated for '". parse_url(home_url(), PHP_URL_HOST) ."'.", 'wpt_pro');
                        ?>
                    </p>
                    <form action="" method="POST" class="admin-form" id="admin-license-form">
                        <input type="hidden" name="edd_action_type" value="revoke" />
                        <input type="submit" name="wpt_pro-revoke-license" value="<?php echo esc_html__('Revoke License', 'wpt_pro');?>"/>
                    </form>
                </div>
                <?php
            }
            ?>
        </div>

        <?php
        if(function_exists('wpt_social_links')){
            echo '<br><br><br><br>';
            wpt_social_links();
            echo '<br><br>';
        }
        ?>
    </div>
    <div class="wpt-plugin-recommend-area wpt-plugin-recommend-tab-page">
        <?php do_action( 'wpt_plugin_recommend_here' ); ?>
    </div>
</div>

