<?php 
namespace WOO_PRODUCT_TABLE_PRO\Inc\Features;

use WOO_PRODUCT_TABLE_PRO\Core\Base;
use WOO_PRODUCT_TABLE\Inc\Shortcode;

class Templates extends Base{

    public function run(){
        $this->filter('wpt_template_url', 2);
    }

    public function wpt_template_url( $template_file,Shortcode $shortcode ){

        if( $shortcode->is_template_dir ) return $template_file;

        $template_file = $this->base_url . 'assets/css/templates/'. $shortcode->template . '.css';

        return $template_file;
    }

}