<?php

if( !function_exists( 'wpt_pro_enqueue' ) ){
    /**
     * CSS or Style file add for FrontEnd Section. 
     * 
     * @since 1.0.0
     */
   function wpt_pro_enqueue(){
        
        wp_register_script('mediaelement', plugins_url('wp-mediaelement.min.js', __FILE__), array('jquery'), '4.8.2', true);
        wp_enqueue_script('mediaelement');

       wp_enqueue_style( 'wpt-universal-pro', WOO_Product_Table::getPath('BASE_URL') . 'assets/css/universal-pro.css', array(), WOO_Product_Table::getVersion(), 'all' );

       ///custom JavaScript for Woo Product Table pro plugin
       wp_enqueue_script( 'wpt-custom-pro-js', WOO_Product_Table::getPath('BASE_URL') . 'assets/js/custom-pro.js', array( 'jquery','wc-cart-fragments','wc-add-to-cart-variation','wpt-custom-js', ), WOO_Product_Table::getVersion(), true );
   }
}
add_action( 'wp_enqueue_scripts', 'wpt_pro_enqueue', 99 );

function wpt_pro_localize_adding( $WPT_DATA ){

  $WPT_DATA['quick_qty_empty_value'] = 0;
  // $WPT_DATA['pro_type'] = WOO_Product_Table::$direct ? 'direct_site' : 'codec_indirect';
  return $WPT_DATA;
}
add_filter( 'wpto_localize_data', 'wpt_pro_localize_adding' );

